## rbenv 0.3.0

=== Makefile ===
PACKAGE = rbenv-alternatives
VERSION = $(shell ./bin/rbenv-alternatives --version)
TARBALL = $(PACKAGE)-$(VERSION).tar.gz
DEBIAN_TARBALL = rbenv_$(VERSION).orig-$(PACKAGE).tar.gz

dist: $(TARBALL)

debian-dist: $(DEBIAN_TARBALL)

$(TARBALL):
	git archive --prefix=$(PACKAGE)-$(VERSION)/ HEAD | gzip - > $(TARBALL)

$(DEBIAN_TARBALL): $(TARBALL)
	ln $(TARBALL) $(DEBIAN_TARBALL)

clean:
	$(RM) $(TARBALL) $(DEBIAN_TARBALL)

## rbenv 0.1.2+git20100922

=== debian/changelog ===
rbenv (0.1.2+git20100922-1) unstable; urgency=low

  * Initial release (Closes: #642500)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 24 Sep 2011 12:27:44 -0700

=== debian/control ===
Source: rbenv
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-ruby-extras/rbenv.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rbenv.git;a=summary
Homepage: https://github.com/sstephenson/rbenv
XS-Ruby-Versions: all

Package: rbenv
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
# TODO Also recommend jruby and rubinius eventually!
Recommends: ruby1.8, ruby1.9.1
Description: simple per-user Ruby version manager
 rbenv lets you easily switch between multiple versions of Ruby. It's
 simple, unobtrusive, and follows the UNIX tradition of single-purpose
 tools that do one thing well.
 .
 This package also includes the rbenv-alternatives plugin, which hooks
 into the Debian alternatives system and makes the Ruby interpreters
 registered with update-alternatives available for use with rbenv.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/sstephenson/rbenv (.*).tar.gz

## rbenv 0.3.0

=== debian/changelog ===
rbenv (0.3.0-1) unstable; urgency=low

  [ Paul van Tilburg ]
  * debian/watch: fixed the URL pattern.

  [ Antonio Terceiro ]
  * New upstream release.
  * debian/patches/0001-Add-system-plugins-dir.patch: Read plugins from
    /usr/lib/rbenv/plugins as well.
  * The rbenv-alternatives plugin now also sets GEM_HOME so that gems are
    installed inside ~/.rbenv/versions/$version/gems instead of system-wide.
    Users are being warned of this fact through debian/NEWS. (Closes: #654550)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 31 Jan 2012 21:24:04 -0200

=== debian/watch ===
version=3
http://githubredir.debian.net/github/sstephenson/rbenv/v(.*).tar.gz

## rbenv 0.4.0+debian1

=== debian/changelog ===
rbenv (0.4.0+debian1-3) unstable; urgency=medium

  * debian/copyright: remove mention to rbenv-alternatives/
  * manpage: remove mention of rbenv-alternatives

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 29 Jan 2015 17:48:33 -0200

rbenv (0.4.0+debian1-2) unstable; urgency=medium

  * Remove rbenv-alternatives plugin. The Ruby maintainers do not plan to
    maintain multiple interpreters anymore, so this plugin lost its purpose.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 26 Feb 2014 16:26:46 -0300

rbenv (0.4.0-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields
  * debian/copyright: use DEP5 copyright-format/1.0 official URL for
    Format field
  * update debian/watch. Thanks Bart Martens

  [ Laurent Arnoud ]
  * Imported Upstream version 0.4.0 (Closes: #703455)
  * Remove merged patch from upstream
  * Ignore diff from rbenv-alternatives directory
  * Update standards version to 3.9.4

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 06 Nov 2013 20:39:08 -0300

=== debian/control ===
Source: rbenv
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rbenv.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rbenv.git;a=summary
Homepage: https://github.com/sstephenson/rbenv
XS-Ruby-Versions: all

Package: rbenv
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
# recommend jruby and rubinius eventually! (???)
Description: simple per-user Ruby version manager
 rbenv lets you easily switch between multiple versions of Ruby. It's
 simple, unobtrusive, and follows the UNIX tradition of single-purpose
 tools that do one thing well.

## rbenv 1.0.0

=== debian/changelog ===
rbenv (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * debian/rbenv.pod
    - fix to note ruby-build, instead of ruby-install
    - As example ruby version, I picked up 2.4.0 since older version have
      build issue with newer openssl. 2.4.0 is best.
  * debian/control
    - add Recommends: ruby-build

 -- Hideki Yamane <henrich@debian.org>  Mon, 01 May 2017 21:20:54 +0900

rbenv (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Christian Hofstaedtler ]
  * New upstream version. (Closes: #813928)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 May 2016 20:57:35 +0000

=== debian/control ===
Source: rbenv
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rbenv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rbenv.git
Homepage: https://github.com/sstephenson/rbenv
XS-Ruby-Versions: all

Package: rbenv
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ruby-build
Description: simple per-user Ruby version manager
 rbenv lets you easily switch between multiple versions of Ruby. It's
 simple, unobtrusive, and follows the UNIX tradition of single-purpose
 tools that do one thing well.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/sstephenson/rbenv/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 15:31:46 +0000

## rbenv 1.1.1

=== debian/changelog ===
rbenv (1.1.1-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:

  [ Chris Hofstaedtler ]
  * New upstream version 1.1.1
  * Fill Uploaders
  * Bump Standards-Version to 4.1.5
  * Update Vcs-* headers

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 23 Jul 2018 07:04:45 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
+Uploaders: Chris Hofstaedtler <zeha@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rbenv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rbenv.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/ruby-team/rbenv.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/rbenv
 Homepage: https://github.com/sstephenson/rbenv
 XS-Ruby-Versions: all

## rbenv 1.1.2

=== debian/changelog ===
rbenv (1.1.2-2) unstable; urgency=medium

  * Team Upload

  [ Chris Hofstaedtler ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Apply multi-arch hints. + rbenv: Add :any qualifier for ruby dependency.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 05 Mar 2025 23:27:35 +0100

rbenv (1.1.2-1) unstable; urgency=medium

  * Team Upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of
    the source package

  [ Abraham Raji ]
  * New upstream version 1.1.2
  * Update debhelper-compat version standards version
  * Update watch file version
  * Added Rules-Requires-Root: no

 -- Abraham Raji <avronr@tuta.io>  Wed, 16 Dec 2020 13:01:08 +0000

=== debian/control ===
Source: rbenv
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/rbenv.git
Vcs-Browser: https://salsa.debian.org/ruby-team/rbenv
Homepage: https://github.com/sstephenson/rbenv
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: rbenv
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ruby-build
Description: simple per-user Ruby version manager
 rbenv lets you easily switch between multiple versions of Ruby. It's
 simple, unobtrusive, and follows the UNIX tradition of single-purpose
 tools that do one thing well.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/sstephenson/rbenv/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 15:31:46 +0000

## rbenv 1.3.2

=== debian/changelog ===
rbenv (1.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * New upstream release.
  * Drop {XS,XB}-Ruby-Versions from control.
  * Drop ruby-interpreter, use ${ruby:Depends} for runtime dependencies.
  * Update Standards-Version to 4.7.3, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 12 Feb 2026 11:20:21 -0600

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/rbenv.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rbenv
 Homepage: https://github.com/sstephenson/rbenv
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: rbenv
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby:any | ruby-interpreter,
+Depends: ruby:any,
+         ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ruby-build
